/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CALLBACKS_H
#define CALLBACKS_H

#include <gtk/gtk.h>

#include "dialogOp.h"

/*
 * dialog Properties callback functions
 */

void
on_dialogProperties_buttonOk_clicked    (GtkButton       *button,
                                         gpedPropInfo    *prop);

void
on_dialogProperties_destroyed          (GtkWindow       *dialogProperties,
                                        gpedPropInfo    *prop);

void
on_checkbuttonResizeFS_toggled         (GtkToggleButton *checkbuttonResizeFS,
                                        gpedPropInfo    *prop);


/*
 * dialog Add callback functions
 */

void
on_dialogAdd_buttonOk_clicked          (GtkButton       *button,
                                        gpedAddInfo     *add);

void
on_dialogAdd_destroyed                 (GtkWindow       *dialogAdd,
                                        gpedAddInfo     *add);

/*
 * dialog Op (Properties + Add) callback functions
 */

void
on_comboSystemType_changed             (GtkEntry        *comboSysteType_entry,
                                        gpedOpInfo      *op);

void
on_spinbuttonSize_adj_value_changed    (GtkAdjustment   *spinbuttonSize_adj,
                                        gpedOpInfo      *op);
void
on_spinbuttonStart_adj_value_changed   (GtkAdjustment   *spinbuttonStart_adj,
                                        gpedOpInfo      *op);

void
on_spinbuttonEnd_adj_value_changed     (GtkAdjustment   *spinbuttonEnd_adj,
                                        gpedOpInfo      *op);

#endif /* CALLBACKS_H */
